package com.koobietech.eas.controller;


import com.koobietech.eas.common.result.JsonResult;
import com.koobietech.eas.mbg.model.EasArcTlsStudents;
import com.koobietech.eas.service.EasStuProfileService;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.io.FileNotFoundException;

@RestController
public class EasStuProfileController {

    @Resource
    private EasStuProfileService easStuProfileService;

    @PostMapping("/StuProfileDownload")
    public JsonResult StuProfileDownload(@RequestBody  EasArcTlsStudents easArcTlsStudents,@RequestParam Integer manager_id) throws FileNotFoundException {

        boolean b = easStuProfileService.StuProfileDownload(easArcTlsStudents, manager_id);
        if ( b ) {
            return JsonResult.ok("导入成功");
        }
        return JsonResult.fail("导入失败!");
    }


}
